/* portab.h - portability definitions */

#ifndef	H_PORTAB			/* For multiple inclusions */
#define	H_PORTAB

#ifdef __ANSI__
# ifndef USE_PROTOS
#  define USE_PROTOS
# endif
#else
#undef USE_PROTOS
#define void int
#endif

#ifndef	TRUE
#define	TRUE	1
#define	FALSE	0
#endif	/* TRUE */

#ifndef	NULL
#define	NULL	((char *)0)
#endif	/* NULL */

#ifndef	NUL
#define	NUL	'\0'
#endif	/* NUL */

typedef	char				BYTE;				/* 8 Bits */
typedef 	unsigned char	UBYTE;
typedef	int				BOOL;
typedef	short				WORD;				/* 16 Bits */
typedef 	unsigned short	UWORD;
typedef	long				LONG;				/* 32 bits */
typedef  unsigned long	ULONG;

/* Prioritized registers -- adjust for the machine */

#ifndef	AREG1
#define	DREG1		register
#define	DREG2		register
#define	DREG3
#define	DREG4
#define	DREG5
#define	DREG6

#define	AREG1		register
#define	AREG2		register
#define	AREG3
#define	AREG4
#define	AREG5
#define	AREG6
#endif

#ifdef  USE_PROTOS

#define PROTO( def )    def
#define NOARGLIST       ( void )
#define ARGLIST( args ) (
#define NFARG( def )    def,
#define FARG( def )     def )

#else

#define PROTO( def )    ()
#define NOARGLIST       ()
#define ARGLIST( args ) args
#define NFARG( def )    def;
#define FARG( def )     def;

#endif

#endif	/* H_PORTAB */


